# SRC/sp_coletree.c File Reference

Tree layout and computation routines. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include "slu_ddefs.h"`

## Functions
static int * | mxCallocInt (int n)
static void | initialize_disjoint_sets (int n, int **pp)
static int | make_set (int i, int *pp)
static int | link (int s, int t, int *pp)
static int | find (int i, int *pp)
static void | finalize_disjoint_sets (int *pp)
int | sp_coletree (int *acolst, int *acolend, int *arow, int nr, int nc, int *parent)
static void | etdfs (int v, int first_kid[], int next_kid[], int post[], int *postnum)
static void | nr_etdfs (int n, int *parent, int *first_kid, int *next_kid, int *post, int postnum)
int * | TreePostorder (int n, int *parent)
int | sp_symetree (int *acolst, int *acolend, int *arow, int n, int *parent)

## Detailed Description

     -- SuperLU routine (version 3.1) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     August 1, 2008

     Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

     THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
     EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

     Permission is hereby granted to use or copy this program for any
     purpose, provided the above notices are retained on all copies.
     Permission to modify the code and to distribute modified code is
     granted, provided the above notices are retained, and a notice that
     the code was modified is included with the above copyright notice.

## Function Documentation

static void etdfs | ( | int | v,
|  | int | first_kid[],
|  | int | next_kid[],
|  | int | post[],
|  | int * | postnum |
| ) |  |  | `[static]`

static void finalize_disjoint_sets | ( | int * | pp | ) | `[static]`

static int find | ( | int | i,
|  | int * | pp |
| ) |  |  | `[static]`

static void initialize_disjoint_sets | ( | int | n,
|  | int ** | pp |
| ) |  |  | `[static]`

static int link | ( | int | s,
|  | int | t,
|  | int * | pp |
| ) |  |  | `[static]`

static int make_set | ( | int | i,
|  | int * | pp |
| ) |  |  | `[static]`

static int* mxCallocInt | ( | int | n | ) | `[static]`

static void nr_etdfs | ( | int | n,
|  | int * | parent,
|  | int * | first_kid,
|  | int * | next_kid,
|  | int * | post,
|  | int | postnum |
| ) |  |  | `[static]`

int sp_coletree | ( | int * | acolst,
|  | int * | acolend,
|  | int * | arow,
|  | int | nr,
|  | int | nc,
|  | int * | parent |
| ) |  |  |

int sp_symetree | ( | int * | acolst,
|  | int * | acolend,
|  | int * | arow,
|  | int | n,
|  | int * | parent |
| ) |  |  |

int* TreePostorder | ( | int | n,
|  | int * | parent |
| ) |  |  |